curl --request PATCH \
--url https://api-sandbox.argyle.com/partners/v2/users/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jane@example.com",
"phone_number": "+15555555555",
"external_id": "ABC",
"external_metadata": {
"suppress_verification": true,
"additional_id": "123"
}
}
'import requests
url = "https://api-sandbox.argyle.com/partners/v2/users/{id}"
payload = {
"email": "jane@example.com",
"phone_number": "+15555555555",
"external_id": "ABC",
"external_metadata": {
"suppress_verification": True,
"additional_id": "123"
}
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'jane@example.com',
phone_number: '+15555555555',
external_id: 'ABC',
external_metadata: {suppress_verification: true, additional_id: '123'}
})
};
fetch('https://api-sandbox.argyle.com/partners/v2/users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "018051aa-f7a9-a0db-2f38-6cfa325e9d69",
"created_at": "2023-03-09T04:54:35.170468Z",
"items_connected": [
"item_123456789",
"item_987654321"
],
"employers_connected": [
"Whole Goods",
"Bullseye"
],
"first_name": "Jane",
"last_name": "Doe",
"ssn": "000-00-0000",
"email": "jane@example.com",
"phone_number": "+15555555555",
"address": {
"city": "New York",
"line1": "123 Main St",
"line2": null,
"state": "NY",
"country": "US",
"postal_code": null
},
"birth_date": {
"year": 1990,
"month": 1,
"day": 13
},
"external_metadata": {
"suppress_verification": true,
"additional_id": "123"
},
"external_id": "ABC"
}Update a user
Updates a user object.
Authorizations
Username = api_key_id, Password = api_key_secret
Path Parameters
ID of the user object to be updated.
Body
User first name.
User last name.
User email address.
User phone number.
User Social Security number.
Address of the user.
Show child attributes
Show child attributes
Date of birth in year-month-day format.
Show child attributes
Show child attributes
Additional metadata for internal partner workflows.
Show child attributes
Show child attributes
Banking-specific user metadata.
Show child attributes
Show child attributes
External identifier for your internal mapping.
Response
Partner user object.
Unique ID of the user.
Items the user has connected through Link.
Employers associated with the connected items.
User first name.
User last name.
User email address.
User phone number.
User Social Security number.
Address of the user.
Show child attributes
Show child attributes
Date of birth in year-month-day format.
Show child attributes
Show child attributes
Additional metadata for internal partner workflows.
External identifier for your internal mapping.